Bug 1593417 - [mm] kernel BUG at lib/idr.c:1157, kmemcg_id is -1 when creating or destroying mem cgroups
Summary: [mm] kernel BUG at lib/idr.c:1157, kmemcg_id is -1 when creating or destroyin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.6
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: 7.7
Assignee: Aaron Tomlin
QA Contact: Chao Ye
URL:
Whiteboard:
: 1700374 (view as bug list)
Depends On:
Blocks: 1717099
TreeView+ depends on / blocked
 
Reported: 2018-06-20 18:50 UTC by Charles Haithcock
Modified: 2019-09-24 08:24 UTC (History)
24 users (show)

Fixed In Version: kernel-3.10.0-1048.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1717099 (view as bug list)
Environment:
Last Closed: 2019-08-06 12:07:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3492911 None None None 2018-08-04 09:27:49 UTC
Red Hat Product Errata RHSA-2019:2029 None None None 2019-08-06 12:07:59 UTC

Description Charles Haithcock 2018-06-20 18:50:39 UTC
Description of problem:

Red Hat customer came across a series of kernel panics with the following panic string: 


"kernel BUG at lib/idr.c:1157!"


on systems hosting docker with Mesosphere Kubernetes clustering. Systems are all in the same cluster and had active docker containers running. The panics are all due to kmemcg_id value being -1 (0xffffffff) everytime. Customer indicates after adding swap space, the issue no longer occurs. 


Version-Release number of selected component (if applicable):

3.10.0-693.21.1.el7.x86_64


How reproducible:

Unknown. Customer is unsure if it is reproducible


Steps to Reproduce:
1. see above
2.
3.

Actual results:

System panicked 


Expected results:

System stays up 

Additional info:

Vmcore analysis coming as internal

Comment 5 Vinay Gadekar 2018-08-04 07:08:12 UTC
I like to see the vmcore file.
where is the vmcore?

Comment 28 Aaron Tomlin 2019-04-19 14:35:30 UTC
Please note that an unsupported, test x86_64 kernel can be found here:

http://people.redhat.com/atomlin/bugzilla/1593417/

Comment 37 Bruno Meneguele 2019-05-11 16:05:20 UTC
Patch(es) committed on kernel-3.10.0-1048.el7

Comment 42 Prarit Bhargava 2019-07-16 13:47:55 UTC
*** Bug 1700374 has been marked as a duplicate of this bug. ***

Comment 44 errata-xmlrpc 2019-08-06 12:07:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2029


Note You need to log in before you can comment on or make changes to this bug.